<?php

	require_once __DIR__.'/../Parsigram.php';

	$access_token 	= 'parsigram_access_token';							# Parsigram access token
	
	$voucher 		= '1234567890';										# Voucher code
	$activation 	= '1234567890123456';								# Voucher activation


	try {

		$parsigram = new Parsigram($access_token);

		$req = $parsigram->checkVoucher($voucher, $activation);

		$voucher = isset($req->data->voucher)?$req->data->voucher:'';					# Voucher code
		$activation = isset($req->data->activation)?$req->data->activation:'';			# Voucher activation code
		$status = isset($req->data->status)?$req->data->status:'';						# Voucher status {values: unused,used,cancelled}
		
		$created_by = isset($req->data->created_by)?$req->data->created_by:'';			# Voucher created by (Account)
		$created_at = isset($req->data->created_at)?$req->data->created_at:'';			# Voucher created at (Time)
		$used_by = isset($req->data->used_by)?$req->data->used_by:'';					# Voucher used by (Account)
		$used_at = isset($req->data->used_at)?$req->data->used_at:'';					# Voucher used at (Time)
		
		$amount = isset($req->data->amount)?$req->data->amount:'';						# Voucher amount
		$currency = isset($req->data->currency)?$req->data->currency:'';				# Voucher currency

		echo '<pre>';

		echo 'Voucher: '.$voucher."\n";
		echo 'Voucher Activation: '.$activation."\n";
		echo 'Voucher Status: '.$status."\n\n";

		echo 'Created By: '.$created_by."\n";
		echo 'Created At: '.date("d.m.y - H:i",$created_at)."\n\n";

		if(!empty($used_by) && !empty($used_at))
		{
			echo 'Used By: '.$used_by."\n";
			echo 'Used At: '.date("d.m.y - H:i",$used_at)."\n\n";
		}

		echo 'Voucher Amount: '.$amount."\n";
		echo 'Voucher Currency: '.$currency."\n\n\n";
		
		print_r($req);

		echo '</pre>';

	} catch(Exception $e) {
		echo '<pre>';
		print_r($e);
		echo '</pre>';

	}	
