<?php

	require_once __DIR__.'/../Parsigram.php';

	$access_token 	= 'parsigram_access_token';							# Parsigram access token
	
	$page 			= 1;												# Page number of result (optional)
	$limit 			= 25;												# Row limit for each page (optional)
	$batch 			= '';												# Batch id for transaction (optional)
	$account 		= '';												# Parsigram account for transactions (optional)
	$time_from 		= '';												# Timestamp start time value for transactions (optional)
	$time_to 		= '';												# Timestamp end time value for transactions (optional)
	$type 			= '';												# Transaction type {values: voucher,transfer,card,service,payment} (optional)


	try {

		$parsigram = new Parsigram($access_token);

		$req = $parsigram->walletTransactions($page, $limit, $batch, $account, $time_from, $time_to, $type);

		$list = isset($req->data->list)?$req->data->list:[];						# List for transactions

		$total = isset($req->data->meta->total)?$req->data->meta->total:0;			# Total rows count
		$pages = isset($req->data->meta->pages)?$req->data->meta->pages:0;			# Total pages count

		echo '<pre>';
		echo 'Total: '.$total."\n";
		echo 'Pages: '.$pages."\n\n";

		echo 'List: '.print_r($list,true)."\n\n\n";

		print_r($req);
		echo '</pre>';

	} catch(Exception $e) {
		echo '<pre>';
		print_r($e);
		echo '</pre>';

	}	